<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# dev-dump-instruction

```text
usage: dev-dump-instruction [-h] [-e] [-n] [address]

```

Dump internal PwndbgInstruction attributes.

Useful for debugging the disassembly and annotation subsystems
in Pwndbg. See https://pwndbg.re/pwndbg/dev/contributing/improving-annotations/#bug-root-cause
for more information.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|address|The address to get the enhanced instruction from - must be in cache.|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-e|--emulate|Force the use of emulation when enhancing the instruction, regardless of global 'emulate' setting.|
|-n|--no-emulate|Disable the use of emulation when enhancing the instruction, regardless of global 'emulate' setting.|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
